import json

import requests
class GPT4oMini:

    @classmethod
    def get_ai_mini_pw(cls, title):
        url = "http://aigc-api.cybertogether.net//aigc/dev/test/gpt"
        payload = json.dumps({
            "imageList": [],
            "model": "gpt-4o-mini-2024-07-18",
            "prompt": (
                "请针对微信平台视频类小程序场景，面向人群是中国中老年人，在单聊、群聊场景，"
                "根据以下示例生成结尾引导分享的脚本，引导用户发生更多的分享行为。\n"
                "示例case1：\n"
                "标题: 几十年前的老歌，现在很少听到了！\n"
                "返回分享引导脚本: 这个视频真是难得，太美太好听了，看完真是回忆满满，"
                "让人怀念那个时代，多么淳朴多么美好，今天大家都在群里转发这个视频，"
                "看了都说，那时候虽然手里不宽裕，但心里都满怀希望，那股子拼劲，真是让人热血沸腾，"
                "老朋友你还记得吗？如果你也跟我一样深深的怀念，赶紧把这个视频转发到你所有群里去吧，"
                "让大家伙都看看吧，多多转发，感恩有你！\n\n"
                "示例case2：\n"
                "标题: 🔺令人尊敬的老人❗❗这才是我们应该追的明星❗\n"
                "返回分享引导脚本: 这个视频发出来5天了，转发的人却寥寥无几，"
                "试想一次明星出轨就全民皆知，这样中国真正的正能量却无人关注，真是太讽刺了！"
                "如果你看到了这个视频，请分享到你加入的每个群，向杨老这种无私奉献的大爱致敬！"
                "千万别让那些低调做好事的人心寒！转发传递下去，让世界都看到，中华民族的正能量！\n\n"
                f"请分析该标题，标题为：{title}，返回结尾分享引导脚本。"
            ),
            "responseFormat": {
                "type": "json_schema",
                "json_schema": {
                    "strict": True,
                    "name": "share_script_result",
                    "schema": {
                        "type": "object",
                        "properties": {
                            "分享引导脚本": {
                                "type": "string",
                                "description": "生成的结尾分享引导脚本"
                            }
                        },
                        "required": ["分享引导脚本"],
                        "additionalProperties": False
                    }
                }
            }
        })
        headers = {'Content-Type': 'application/json'}
        try:
            response = requests.post(url, headers=headers, data=payload)
            response_data = response.json()

            data = json.loads(response_data.get('data', '{}'))
            pw  = data["分享引导脚本"]
            return pw
        except Exception as e:
            pw_srt_text = '老友们，这个视频说的太好了,请你在看完之后,不要私藏,分享给身边的亲人朋友,转发传递这份美好,这不仅是分享一个好视频,更是在传递一份深厚的祝福和好运,愿每个看到这消息的人,都能收获健康长寿和平安,希望您在看完后能够回传给我,并且把这条视频再传给3个群和3个好友,祝愿你我,健健康康,平平安安,因为3个数字代表着健康和平安,这么好的视频,千万不要在你的手里终止了,分享给群友们,他们看到以后一定会感谢你的,感谢分享,感谢传递'
            return pw_srt_text
